module.exports = function getSupplier(data, cb) {
  var error
  var supplierCode =  data.supplierCode
  var db = data.db
  db.view('supplier/bySupplierCode', { key: supplierCode}, function (err, reply) {
    if (err) {
      var error = {
        message: 'error adding scraper data, error when looking up supplier',
        supplierCode: supplierCode,
        error: err
      }
      return cb(error)
    }
    if (!reply || reply.length === 0) {
      error = {
        message: 'error adding scraper data, error when looking up supplier',
        supplierCode: supplierCode,
        error: 'supplier not found'
      }
      return cb(error)
    }
    var supplier = reply[0].value
    cb(null, supplier)
  })
}
