var rk = require('required-keys');
module.exports = function(data, cb) {
  var error
  var keys = ['db', 'payload', 'supplierCode']
  var err = rk.truthySync(data, keys)
  if (err) {
    error = {
      message: 'error processing scraped data, missing key in data',
      error: err,
      stack: new Error().stack
    }
    return cb(error)
  }
  var payload = data.payload
  var payloadKeys = ['accountNumber', 'supplierCode', 'billNumber', 'loginID'];
  var payloadErr = rk.truthySync(payload, payloadKeys, cb);
  if (payloadErr) {
    error = {
      message: 'error processing scraped data, missing key in data',
      error: payloadErr,
      stack: new Error().stack
    }
    return cb(error)
  }
  cb()
}
